> ## Documentation Index
> Fetch the complete documentation index at: https://gns3util.saygex.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List bucket files

> Returns all files in a specific bucket



## OpenAPI

````yaml /api-reference/gns3util-filestore-api-docs.json get /api/v1/buckets/{bucket_id}/files
openapi: 3.0.0
info:
  description: API for gns3util distributed file storage
  title: gns3util cluster filestore API
  contact: {}
  version: '1.0'
servers: []
security: []
paths:
  /api/v1/buckets/{bucket_id}/files:
    get:
      tags:
        - buckets
      summary: List bucket files
      description: Returns all files in a specific bucket
      parameters:
        - description: Bucket ID
          name: bucket_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ListBucketFilesResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    models.ListBucketFilesResponse:
      type: object
      properties:
        bucket_uuid:
          type: string
        count:
          type: integer
        files:
          type: array
          items:
            $ref: '#/components/schemas/models.FileInfo'
    helpers.APIErrorResponse:
      type: object
      properties:
        code:
          type: string
          example: unauthorized
        details:
          type: string
          example: invalid or missing join token
        error:
          type: string
          example: Unauthorized
    models.FileInfo:
      type: object
      properties:
        blob_sha256:
          type: string
        content_type:
          type: string
        created_at:
          type: string
        file_uuid:
          type: string
        filename:
          type: string
        size_bytes:
          type: integer
        status:
          $ref: '#/components/schemas/models.FileStatus'
    models.FileStatus:
      type: string
      enum:
        - pending
        - uploading
        - available
        - tombstoned
        - deleted
      x-enum-varnames:
        - FileStatusPending
        - FileStatusUploading
        - FileStatusAvailable
        - FileStatusTombstoned
        - FileStatusDeleted
  securitySchemes:
    BearerAuth:
      description: Type "Bearer" followed by a space and JWT token.
      type: apiKey
      name: Authorization
      in: header

````